{{ define "main" }}
<main class="max-w-screen-xl pt-4 pb-8 mx-6 min-[1328px]:mx-auto">
  <h1 class="text-4xl font-bold mb-4">{{ .Title }}</h1>

  <article class="prose mb-8">
    {{ .Content }}
  </article>

  <div class="grid md:grid-cols-2 gap-12 mb-8">
    {{ range .Data.Pages.ByDate.Reverse -}}
    <a class="group flex flex-col bg-blue-50 rounded-md overflow-clip transition-transform hover:scale-105" href="{{ .RelPermalink }}">
      {{ $image := resources.Get .Params.thumbnail }}
      {{ if not $image -}}
      {{ $image = resources.Get (printf "img/%s" site.Params.defaultImage) }}
      {{ end -}}
      {{ $image = $image.Resize "1232x webp"}}

      <img
        class="w-full"
        src="{{ $image.Permalink }}"
        width="{{ $image.Width }}"
        height="{{ $image.Height }}"
        alt="{{ .Title }}">

      <span class="grow flex flex-col px-8 py-6">
        <strong class="text-xl font-semibold mb-2">{{ .Params.title }}</strong>
        <span class="mb-4">{{ .Params.description }}</span>

        <span class="self-start mt-auto text-lg font-medium text-white bg-blue-600 group-hover:bg-blue-700 rounded-md px-6 py-2 transition-colors">Lees meer &rarr;</span>
      </span>
    </a>
    {{ end }}
  </div>
</main>
{{ end }}
